Blender-Sverchok-LadybugTools: Problems installing and running

MaxMax
edited 8:52AM in General

I just found out about Ladybug tools for blender and since I have used this for a long time in grasshopper I am very happy to see it in Blender. Anyway, it has not been updated for a some time and I wonder if somebody can verify that it installs and runs in the latest version of Blender and Sverchok. The problems I experiance so far are:
1. Point Cloud Visualizer does not install, I get the following error: "fake_module: addon missing 'bl_info' gives bad performance!: ..."
2. I get errors like the following images:

victorklixto

Comments

  • Hi @Max . The problem is that the Sverchok Nodes API was updated and the Ladybug tools - Blender nodes need to update as well. It is an important project that we need to put some attention. I am very interested in this project too and I would like to collaborate on it, but I am not have the time right now, maybe in a few months.
    If you want try as it is, you should install sverchok version bellow 1.1.

  • Thanks, I was afraid of this. Unfortunately I have problem installing Sverchok 1.0 in Blender 3.3.1 and later. Do you think it would be possible to run these components directly without Sverchok?

  • edited January 24

    Hi @Max! As far as I know, you can't install Ladybug-Blender without Sverchok. However, you can install the Ladybug Core tools to use it with python inside Blender-Sverchok depending on what do you want to do, you could try to use a script node inside Sverchok while the nodes are not updated: pip install ladybug-core ladybug-comfort ladybug-geometry Ladybug Core, Ladybug Geometry, and Ladybug Comfort

  • Added relevant software to subject line & added relevant tags.
    Clicking here gets other posts tagged with LadyBug:
    https://community.osarch.org/discussions/tagged/ladybug

    victorklixto
Sign In or Register to comment.